%global momorel 6
%global md5sum_src0 6f1d33a297bd27e0e9f4c1a5fa956166
Summary: gnome-icon-theme
Name: gnome-icon-theme
Version: 2.14.2
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}
# missing 24x24 version of epiphany icon
Source1: web-browser.png
URL: http://www.gnome.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch

BuildRequires: icon-naming-utils >= 0.6.7
Requires: hicolor-icon-theme
PreReq: gtk+-common
Patch0: gnome-icon-theme-2.14.2-LN_S.patch

%description
gnome icon theme

%prep
%setup -q
%patch0 -p1 -b .ln_s

%build
automake
%configure --disable-hicolor-check --enable-pkgconfigdir=%{_libdir}/pkgconfig
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall pkgconfigdir=%{buildroot}%{_libdir}/pkgconfig

cp %{SOURCE1} %{buildroot}/%{_datadir}/icons/gnome/24x24/apps

### create symlinks so the all icon themes know some extra icons we've added
#for i in 48x48 24x24; do
#    mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i/apps
#done

# make copy of gnome to hicolor
cp -a %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/hicolor
# conflict with index.theme from hicolor-icon-theme
rm -rf %{buildroot}/%{_datadir}/icons/hicolor/index.theme

# conflict file-roller.png, gnome-mime-application-pgp-signature.png
rm -rf %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/file-roller.png
rm -rf %{buildroot}/%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-pgp-signature.png

# cleate filelist
find %{buildroot}/%{_datadir}/icons/hicolor -name "*.png" | \
    sed "s@%{buildroot}@@" > png.lst
find %{buildroot}/%{_datadir}/icons/hicolor -name "*.icon" | \
    sed "s@%{buildroot}@@" > icon.lst
find %{buildroot}/%{_datadir}/icons/hicolor -name "*.svg" | \
    sed "s@%{buildroot}@@" > svg.lst
cat png.lst icon.lst svg.lst > hicolor.lst

%clean
rm -rf --preserve-root %{buildroot}

%post
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet $dir
    fi
  fi
done

%files -f hicolor.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/icons/gnome
#%{_datadir}/icons/hicolor
%{_libdir}/pkgconfig/*.pc

%Changelog
* Wed Aug  2 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.14.1-6m)
- add PreReq: gtk+-common

* Sat Jul  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-5m)
- delete duplicate files

* Sat Jul 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.14.1-4m)
- copy /usr/share/icons/gnome to /usr/share/icons/hicolor to fix the issue that some icons of gnome apps are not displayed in KDE, fluxbox, twm etc.

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-3m)
- delete duplicated dir

* Sat Apr  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2-2m)
- add web-browser.png (Source1)
- add BuildRequires: icon-naming-utils
- add patch0

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Sun Feb 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-4m)
- fix conflict files

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-3m)
- comment out autoreconf

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.1-2m)
- enable x86_64

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- version up
- GNOME 2.12.1 Desktop

* Sat Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.0-1m)
- GNOME 2.8 Desktop

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (1.2.3-1m)
- version 1.2.3

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-1m)
- version 1.2.1

* Sun Apr 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-3m)
- add --disable-hicolor-check at configure
  for not check index.theme, becase there is no need check
  /usr/share/icons/gnome/index.theme
  that file is provide by kdelibs-3.2.1-3m

* Fri Apr 16 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.0-2m)
- change %%{_datadir}/icons/* (add icons/hicolor directory)

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.0-1m)
- version 1.2.0
- GNOME 2.6 Desktop
- add %%{_libdir}/pkgconfig/*.pc

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.9-2m)
- s/Copyright:/License:/

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.9-1m)
- version 1.0.9

* Thu Jul 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.6-1m)
- version 1.0.6

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.5-1m)
- version 1.0.5

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.4-1m)
- version 1.0.4

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-1m)
- version 1.0.3

* Tue Apr 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.2-1m)
- version 1.0.2

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.1-1m)
- version 1.0.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.0-1m)
- version 1.0.0

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.91-1m)
- version 0.91

* Tue Dec 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.5-1m)
- version 0.1.5

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.4-1m)
- version 0.1.4

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.3-1m)
- version 0.1.3

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.1-1m)
- version 0.1.1

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.0-1m)
- import
